Enable or disable website knowledge
curl --request PATCH \
--url https://api.withallo.com/v2/api/numbers/{number}/agent/knowledge/websites/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://api.withallo.com/v2/api/numbers/{number}/agent/knowledge/websites/{id}"
payload = {}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://api.withallo.com/v2/api/numbers/{number}/agent/knowledge/websites/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "wkb-abc123",
"url": "https://acme.test/pricing",
"status": "ACTIVE",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"retryable": true,
"request_id": "<string>",
"retry_after_seconds": 123
}
}Réceptionniste IA
Activer ou désactiver un site
Turns a website entry on or off without losing its scraped content.
PATCH
/
v2
/
api
/
numbers
/
{number}
/
agent
/
knowledge
/
websites
/
{id}
Enable or disable website knowledge
Scope requis :
AGENTS_WRITEComportement
Active ou désactive une entrée de site web.DISABLED conserve l’entrée et son texte analysé et empêche le réceptionniste d’y puiser ses réponses : vous pouvez la remettre en ACTIVE sans réanalyser la page.
Le paramètre de chemin {id} est un id d’entrée issu de Lire la configuration, sous knowledge.websites.
Erreurs
404 AGENT_KNOWLEDGE_NOT_FOUND: aucune entrée avec cet id sur le réceptionniste de cette ligne. Une entrée appartenant à une autre ligne donne la même réponse.404 PHONE_NUMBER_NOT_FOUND: ce numéro n’est pas un numéro auquel vous avez accès.
Autorisations
Paramètres de chemin
Allo phone number in E.164 format
Exemple:
"+14155551234"
Identifier of the website knowledge entry, as returned by GET /v2/api/numbers/{number}/agent
Exemple:
"wkb-abc123"
Corps
application/json
Options disponibles:
ACTIVE, DISABLED Réponse
The entry after the write
A page Allo scraped and summarized for the receptionist to answer from. The scraped text itself is not reported: it is what the receptionist reads, not something you configure.
Show child attributes
Show child attributes
Cette page vous a-t-elle été utile ?